<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/productFragment"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_main"
    android:orientation="vertical" >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:padding="@dimen/margin_padding_xtiny" >

        <RelativeLayout
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="@dimen/search_height"
            android:background="@drawable/custom_layout" >

            <ImageView
                android:id="@+id/imageView1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/margin_padding_xnormal"
                android:background="@drawable/ic_search" />

            <EditText
                android:id="@+id/txtSearchPort"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/margin_padding_xsmall"
                android:layout_toRightOf="@+id/imageView1"
                android:background="@color/white"
                android:hint="@string/search"
                android:singleLine="true"
                android:imeOptions="actionSearch"
                android:textSize="@dimen/text_size_xnormal" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical" >

            <com.aveplus.avepay_cpocket.trainingcenter.widget.pulltorefresh.PullToRefreshGridView
                xmlns:ptr="http://schemas.android.com/apk/res-auto"
                android:id="@+id/gridPort"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/margin_padding_xtiny"
                android:gravity="center"
                android:horizontalSpacing="@dimen/spacing"
                android:numColumns="2"
                android:verticalSpacing="@dimen/spacing"
                ptr:ptrMode="both" />
        </LinearLayout>
    </LinearLayout>

</LinearLayout>